package com.example.greenwatch.adapters;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.example.greenwatch.R;
import com.example.greenwatch.models.Device;

import java.util.ArrayList;
import java.util.List;

public class AlarmHistoryListAdapter extends RecyclerView.Adapter<AlarmHistoryListAdapter.AlarmHistoryListHolder> {
    private List<Device> alarmHistoryList = new ArrayList<>();


    @NonNull
    @Override
    public AlarmHistoryListHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View itemView = LayoutInflater.from(parent.getContext())
                .inflate(R.layout.alarm_history_item, parent, false);
        return new AlarmHistoryListHolder(itemView);
    }

    @Override
    public void onBindViewHolder(@NonNull AlarmHistoryListHolder holder, int position) {
        Device currentDevice = alarmHistoryList.get(position);
        holder.textViewSensorType.setText(holder.itemView.getContext().getString(R.string.sensor_type_placeholder, currentDevice.getSensorType()));
        holder.textViewDeviceID.setText(holder.itemView.getContext().getString(R.string.deviceID_placeholder, currentDevice.getDeviceID()));
        holder.textViewTimeStamp.setText(holder.itemView.getContext().getString(R.string.sensor_time_stamp_placeholder, currentDevice.getTimeStamp()));
        holder.textViewSensorMessage.setText(holder.itemView.getContext().getString(R.string.sensor_message_placeholder, currentDevice.getSensorMassage()));
    }

    @Override
    public int getItemCount() {
        return alarmHistoryList.size();
    }

    public void setAlarmHistoryList(List<Device> alarmHistoryList) {
        this.alarmHistoryList = alarmHistoryList;
        notifyDataSetChanged();
    }

    class AlarmHistoryListHolder extends RecyclerView.ViewHolder {
        private TextView textViewSensorType;
        private TextView textViewDeviceID;
        private TextView textViewTimeStamp;
        private TextView textViewSensorMessage;

        public AlarmHistoryListHolder(View itemView) {
            super(itemView);
            textViewSensorType = (TextView) itemView.findViewById(R.id.tvAlarmHistoryDeviceSensorType);
            textViewDeviceID = (TextView) itemView.findViewById(R.id.tvAlarmHistoryDeviceID);
            textViewTimeStamp = (TextView) itemView.findViewById(R.id.tvAlarmHistoryDeviceTimeStamp);
            textViewSensorMessage = (TextView) itemView.findViewById(R.id.tvAlarmHistoryDeviceSensorMassage);
        }
    }
}
