package com.example.greenwatch.alarmrecorder.runnables;

import android.media.MediaRecorder;
import android.view.SurfaceHolder;

import com.example.greenwatch.viewmodels.ViewModelInterface;

import java.io.IOException;

public class VideoRecorder implements Runnable{
    private final MediaRecorder videoRecorder;
    private final String videoPath;
    private SurfaceHolder previewHolder;

    public VideoRecorder(MediaRecorder videoRecorder, String videoPath, SurfaceHolder previewHolder) {
        this.videoRecorder = videoRecorder;
        this.videoPath = videoPath;
        this.previewHolder = previewHolder;
    }
    @Override
    public void run() {
        videoRecorder.setVideoSource(MediaRecorder.VideoSource.CAMERA);
        videoRecorder.setOutputFormat(MediaRecorder.OutputFormat.MPEG_4);
        videoRecorder.setVideoEncoder(MediaRecorder.VideoEncoder.DEFAULT);
        videoRecorder.setOutputFile(videoPath);
        videoRecorder.setOrientationHint(90);
        //todo find solution for videoView
        videoRecorder.setPreviewDisplay(previewHolder.getSurface());

        try {
            videoRecorder.prepare();
            videoRecorder.start();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
