package com.example.greenwatch.viewmodels;

import android.content.Context;
import android.view.SurfaceHolder;

import androidx.lifecycle.LiveData;

import com.example.greenwatch.models.Device;

import java.util.List;

public interface ViewModelInterface {
    void init(SurfaceHolder previewHolder);
    LiveData<List<Device>> getConnectedDeviceList();
    LiveData<List<Device>> getAlarmHistoryList();
    LiveData<Boolean> getStartAlarmRecording();
    void updateDevice(String deviceID, String timeStamp, boolean sensorStatus, String sensorType, int sensorMassage);
    void setTimeStamp(String deviceID, String timeStamp);
    String getTimeStamp(String deviceID);
    void setDeviceID(String deviceID, String newDeviceID);
    String getDeviceID(String deviceID);
    void setSensorStatus(String deviceID, boolean sensorStatus);
    boolean getSensorStatus(String deviceID);
    void setSensorType(String deviceID, String sensorType);
    String getSensorType(String deviceID);
    void setSensorMassage(String deviceID, int sensorMessage);
    int getSensorMassage(String deviceID);
    String getLocalDeviceUUID();
    String getSystemTimeStamp();
    void startAlarmRecording();
    void stopAlarmRecording(Context context);
    void setAlarmRecordingPreviewHolder(SurfaceHolder previewHolder);
}
